package io.swagger.client.api;

import io.swagger.client.model.*;

import retrofit.http.*;
import retrofit.mime.*;
import java.util.*;


public interface MySQLPostgresApi {
  
  /**
   * Список аккаунтов в базах данных UNIX
   * Возвращает список зарегистрированных аккаунтов в базах данных MySQL и Postgres. Для вычисления имени домена необходимо объединить имя базы данных,\n	 идентификатор сервера и суффикс (поле url_suffix). Например, если ID сервера равен 123 (значит это MySQL — см. описание поля &#39;server&#39; в ответе), а суффикс равен &#39;1gb.ru&#39;, то домен\n	 для доступа будет равен &#39;mysql123.1gb.ru&#39;.
   * @param token_ Ключ доступа, полученный при авторизации
   * @return List<Object>
   */
  
  @GET("/database/list")  
  List<Object> databaseListGet(
    @Query("_token_") String token_
  );  
  
}
