package io.swagger.client.api;

import io.swagger.client.model.*;

import retrofit.http.*;
import retrofit.mime.*;
import java.util.*;


public interface HostingftpAPIApi {
  
  /**
   * Получить список зарегистрированных аккаунтов FTP
   * 
   * @param token_ Ключ доступа, полученный при авторизации
   * @return List<Object>
   */
  
  @GET("/ftp/list")  
  List<Object> ftpListGet(
    @Query("_token_") String token_
  );  
  
}
