package io.swagger.client.api;

import io.swagger.client.model.*;

import retrofit.http.*;
import retrofit.mime.*;
import java.util.*;


public interface MicrosoftSQLServerApi {
  
  /**
   * Получить список аккаунтов в MSSQL
   * 
   * @param token_ Ключ доступа, полученный при авторизации
   * @return List<Object>
   */
  
  @GET("/mssql/list")  
  List<Object> mssqlListGet(
    @Query("_token_") String token_
  );  
  
}
